GroovyPagesTemplateRenderer (Grails 3.2.3)
Date: 2016-11-10

Package: org.grails.web.gsp

## [Java] Class GroovyPagesTemplateRenderer

- org.grails.web.gsp.GroovyPagesTemplateRenderer

- All Implemented Interfaces and Traits:
    org.springframework.beans.factory.InitializingBean

      public class GroovyPagesTemplateRenderer
      extends java.lang.Object

  Service that provides the actual implementation to RenderTagLib's render tag. This is an internal Grails service and should not be used by plugins directly. The implementation was moved from RenderTagLib, ported to Java and then refactored.

  Authors:
    Lari Hotari
    Graeme Rocher
  Since:
    2.0

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `afterPropertiesSet()`
    `void` | `clearCache()`
    `boolean` | `isCacheEnabled()`
    `void` | `render(GrailsWebRequest webRequest, TemplateVariableBinding pageScope, java.util.Map<java.lang.String, java.lang.Object> attrs, java.lang.Object body, java.io.Writer out)`
    `void` | `setCacheEnabled(boolean cacheEnabled)`
    `void` | `setControllerToScaffoldedDomainClassMap(java.util.Map map)`
    `void` | `setGroovyPageLocator(GrailsConventionGroovyPageLocator locator)`
    `void` | `setGroovyPagesTemplateEngine(GroovyPagesTemplateEngine engine)`
    `void` | `setScaffoldedActionMap(java.util.Map map)`
    `void` | `setScaffoldingTemplateGenerator(java.lang.Object generator)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public void afterPropertiesSet()

    - #### public void clearCache()

    - #### public boolean isCacheEnabled()

    - #### public void render(GrailsWebRequest webRequest, TemplateVariableBinding pageScope, java.util.Map<java.lang.String, java.lang.Object> attrs, java.lang.Object body, java.io.Writer out)

    - #### public void setCacheEnabled(boolean cacheEnabled)

    - #### @java.lang.SuppressWarnings({ "unchecked", "rawtypes" }) public void setControllerToScaffoldedDomainClassMap(java.util.Map map)

    - #### public void setGroovyPageLocator(GrailsConventionGroovyPageLocator locator)

    - #### public void setGroovyPagesTemplateEngine(GroovyPagesTemplateEngine engine)

    - #### @java.lang.SuppressWarnings({ "rawtypes", "unchecked" }) public void setScaffoldedActionMap(java.util.Map map)

    - #### public void setScaffoldingTemplateGenerator(java.lang.Object generator)